%define upstream_name    Tapper-TestSuite-Benchmark-Perl-Formance
%define upstream_version 4.1.1

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Tapper - Wrapper for Benchmark::Perl::Formance
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Tapper/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Benchmark::Perl::Formance)
BuildRequires: perl(Config)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(IO::Socket::INET)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This is a Tapper wrapper for Benchmark::Perl::Formance .

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README eg
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/tapper-testsuite-benchmark-perlformance
/usr/share/man/man1/tapper-testsuite-benchmark-perlformance.1.xz

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 4.1.1-10.mga8
+ Revision: 1497261
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 4.1.1-9.mga7
+ Revision: 1271490
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 4.1.1-8.mga6
+ Revision: 1033783
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 4.1.1-7.mga6
+ Revision: 935207
- Mageia 6 Mass Rebuild
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 4.1.1-5.mga5
+ Revision: 740424
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 4.1.1-3.mga4
+ Revision: 514842
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 4.1.1-2.mga3
+ Revision: 373110
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 4.1.1-1.mga3
+ Revision: 342646
- update to 4.1.1

* Fri Oct 26 2012 shlomif <shlomif> 4.1.0-2.mga3
+ Revision: 310291
- New release
- Add desc

* Fri Oct 26 2012 shlomif <shlomif> 4.1.0-1.mga3
+ Revision: 310269
- imported package perl-Tapper-TestSuite-Benchmark-Perl-Formance


* Fri Oct 26 2012 cpan2dist 4.1.0-1mga
- initial mageia release, generated with cpan2dist
